Retry
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/google-ads/strategies/{strategy_id}/jobs/{job_id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/google-ads/strategies/{strategy_id}/jobs/{job_id}/retry"
payload = { "idempotencyKey": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotencyKey: '<string>'})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/google-ads/strategies/{strategy_id}/jobs/{job_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "single_ad",
"operation": "initial_strategy",
"status": "queued",
"context": {
"contextSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contextHash": "<string>",
"artifactSchemaVersion": "<string>",
"packetSchemaVersion": "<string>",
"projectionPolicyVersion": "<string>",
"manifestHash": "<string>"
},
"totalCells": 2,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseRevision": 2,
"resultRevision": 2,
"completedCells": 0,
"message": "<string>",
"result": {
"kind": "single_ad",
"value": {
"revision": 2,
"contextHash": "<string>",
"contextSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidencePacket": {
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checksum": "<string>",
"manifestHash": "<string>",
"artifactSchemaVersion": "<string>",
"packetSchemaVersion": "<string>",
"projectionPolicyVersion": "<string>"
},
"rulesetVersion": "<string>",
"draftId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nativeText": {
"kind": "rsa",
"headlines": [
{
"id": "<string>",
"text": "<string>",
"evidenceIds": [
"<string>"
]
}
],
"descriptions": [
{
"id": "<string>",
"text": "<string>",
"evidenceIds": [
"<string>"
]
}
],
"path1": "<string>",
"path2": "<string>",
"finalUrl": "<string>",
"pins": [
{
"assetId": "<string>",
"field": "headline_1"
}
],
"requiredDisclosures": [
"<string>"
],
"extensions": [
{
"kind": "sitelink",
"rationale": {
"text": "<string>",
"status": "observed",
"evidenceIds": [
"<string>"
],
"missingInputKeys": [
"<string>"
]
},
"text": "<string>",
"finalUrl": "<string>"
}
]
},
"schemaVersion": "google-create-v1",
"evidence": [
{
"id": "<string>",
"nativeIdentity": {
"nativeTable": "<string>",
"nativeId": "<string>",
"nativeRevision": "<string>"
},
"kind": "owned_brand_fact",
"sourceId": "<string>",
"market": "<string>",
"contentHash": "<string>",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceArtifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dependencyRole": "source",
"observedAt": "2023-11-07T05:31:56Z",
"measuredCount": 1,
"eligibleCount": 1,
"limitations": [
"<string>"
]
}
],
"readiness": [
{
"code": "<string>",
"state": "blocked",
"layer": "strategy",
"message": "<string>",
"ruleIds": [
"<string>"
],
"evidenceIds": [
"<string>"
],
"slotIds": [
"<string>"
],
"remediation": "<string>",
"officialUrls": [
"<string>"
]
}
],
"mediaSlots": [
{
"id": "<string>",
"campaignCellId": "<string>",
"textVariantId": "<string>",
"kind": "image",
"requirement": "required",
"role": "marketing_image",
"sourcePolicy": "owned_identity_required",
"intendedFamily": "search",
"intendedSurfaces": [
"search"
],
"creativeDirection": {
"subject": "<string>",
"action": "<string>",
"context": "<string>",
"style": "<string>",
"lighting": "<string>",
"camera": "<string>",
"audio": "<string>",
"requiredCopy": [
"<string>"
],
"prohibitedElements": [
"<string>"
]
},
"rulesetRuleIds": [
"<string>"
],
"preferredAspect": "1:1",
"requiredFacts": [
"<string>"
],
"productReferenceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"minFinalDurationSeconds": 300,
"maxFinalDurationSeconds": 300,
"asset": {
"checksum": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"mimeType": "image/jpeg",
"identitySource": "owned_asset",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationSeconds": 1800,
"youtubeVideoId": "<string>"
}
}
]
}
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemKey": "<string>",
"kind": "text",
"status": "pending",
"errorCode": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Google Ads Create
Retry
POST
/
api
/
v1
/
brands
/
{brand_id}
/
google-ads
/
strategies
/
{strategy_id}
/
jobs
/
{job_id}
/
retry
Retry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
8 - 120Response
Successful Response
Available options:
single_ad, strategy Available options:
initial_strategy, single_ad_text, text_revision, media_batch, export Available options:
queued, running, succeeded, partial, failed, cancel_requested, cancelled, needs_review Show child attributes
Show child attributes
Required range:
x >= 1Required range:
x >= 1Required range:
x >= 1Required range:
x >= 0Required string length:
1 - 500- GoogleSingleAdResult
- GoogleStrategyResult
Show child attributes
Show child attributes
Maximum array length:
200Show child attributes
Show child attributes
Was this page helpful?